//package example.listeners;
//
//import com.sportradar.sdk.common.enums.FeedEventType;
//import com.sportradar.sdk.feed.liveodds.classes.EventDataPackage;
//import com.sportradar.sdk.feed.liveodds.entities.common.*;
//import com.sportradar.sdk.feed.liveodds.entities.liveodds.LiveOddsMetaData;
//import com.sportradar.sdk.feed.liveodds.entities.liveodds.MatchHeaderEntity;
//import com.sportradar.sdk.feed.liveodds.entities.liveodds.MatchHeaderInfoEntity;
//import com.sportradar.sdk.feed.liveodds.entities.liveodds.ScoreCardSummaryEntity;
//import com.sportradar.sdk.feed.liveodds.interfaces.LiveOddsFeed;
//import com.sportradar.sdk.feed.liveodds.interfaces.LiveOddsFeedListener;
//import com.sportradar.sdk.feed.liveodds.interfaces.LiveOddsTestManager;
//import org.joda.time.DateTime;
//import org.joda.time.Duration;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//
//import java.util.List;
//
//public class LiveOddsFeedListenerImpl implements LiveOddsFeedListener {
//
//    private static final Logger logger = LoggerFactory.getLogger(LiveOddsFeedListenerImpl.class);
//    private LiveOddsFeed feed;
//
//
//    /**
//     * Invoked by the observed live feed when the feed is opened.
//     */
//    @Override
//    public void onOpened(LiveOddsFeed sender) {
//        feed = (LiveOddsFeed)sender;
//        logger.info("On opened");
//    }
//
//    /**
//     * Invoked by the observed live feed when the feed is closed.
//     */
//    @Override
//    public void onClosed(LiveOddsFeed sender) {
//        logger.info("On closed");
//    }
//
//    /**
//     * Invoked when the feed is initialized and you can accept bets.
//     * It is invoked exactly once after the feed has been opened.
//     *
//     * @param sender - originating feed
//     */
//    @Override
//    public void onInitialized(LiveOddsFeed sender) {
//        logger.info("On initialized");
//        feed.getEventList(
//                DateTime.now().minus(Duration.standardHours(12).getMillis()),
//                DateTime.now().plus(Duration.standardHours(12).getMillis()),
//                true);
//        if(feed.getTestManager() instanceof LiveOddsTestManager){
//            ((LiveOddsTestManager) feed.getTestManager()).startAuto();
//        }
//    }
//
//    @Override
//    public void onFeedEvent(LiveOddsFeed sender, FeedEventType feedEventType) {
//        logger.info("Feed event occurred. Event: {}", feedEventType);
//    }
//
//    @Override
//    public void onBetStart(LiveOddsFeed sender, BetStartEntity entity) {
//        Long matchTime = ((MatchHeaderEntity)entity.getEventHeader()).getMatchTime();
//        logger.info("On bet start match id : {} with match time: {}", entity.getEventId(), matchTime);
//    }
//
//    @Override
//    public void onBetStop(LiveOddsFeed sender, BetStopEntity entity) {
//        Long matchTime = ((MatchHeaderEntity)entity.getEventHeader()).getMatchTime();
//        logger.info("On bet stop(artificial : {}) match id : {} with match time: {}",
//                entity.isArtificial(),
//                entity.getEventId(),
//                matchTime);
//    }
//
//    @Override
//    public void onBetCancel(LiveOddsFeed sender, BetCancelEntity entity) {
//        Long matchTime = ((MatchHeaderEntity)entity.getEventHeader()).getMatchTime();
//        logger.info("On bet cancel match id : {} with match time: {}", entity.getEventId(), matchTime);
//    }
//
//    @Override
//    public void onBetCancelUndone(LiveOddsFeed sender, BetCancelUndoEntity entity) {
//        Long matchTime = ((MatchHeaderEntity)entity.getEventHeader()).getMatchTime();
//        logger.info("On bet cancel undone match id : {} with match time: {}", entity.getEventId(), matchTime);
//    }
//
//    @Override
//    public void onBetClear(LiveOddsFeed sender, BetClearEntity entity) {
//        Long matchTime = ((MatchHeaderEntity)entity.getEventHeader()).getMatchTime();
//        logger.info("On bet clear match id : {} with match time: {}", entity.getEventId(), matchTime);
//    }
//
//    @Override
//    public void onBetClearRollback(LiveOddsFeed sender, BetClearRollbackEntity entity) {
//        Long matchTime = ((MatchHeaderEntity)entity.getEventHeader()).getMatchTime();
//        logger.info("On bet clear rollback match id : {} with match time: {}", entity.getEventId(), matchTime);
//    }
//
//    @Override
//    public void onMetaInfoReceived(LiveOddsFeed sender, MetaInfoEntity entity) {
//        List<MatchHeaderInfoEntity> matches = ((LiveOddsMetaData)entity.getMetaInfoDataContainer()).getMatchHeaderInfos();
//        logger.info("On meta info with {} matches", matches.size());
//    }
//
//    @Override
//    public void onAliveReceived(LiveOddsFeed sender, AliveEntity entity) {
//        logger.info("On alive with {} matches", entity.getEventHeaders().size());
//    }
//
//    @Override
//    public void onScoreCardReceived(LiveOddsFeed sender, ScoreCardSummaryEntity entity) {
//        Long matchTime = ((MatchHeaderEntity)entity.getEventHeader()).getMatchTime();
//
//        logger.info("On score card match id : {} with match time: {} number of cards : {} number of scores : {}",
//                entity.getEventId(), matchTime, entity.getCardSummaryByTime().size(), entity.getScoreSummaryByTime().size());
//    }
//
//
//    @Override
//    public void onIrrelevantOddsChange(LiveOddsFeed sender, IrrelevantOddsChangeEntity entity) {
//        Long matchTime = ((MatchHeaderEntity)entity.getEventHeader()).getMatchTime();
//        logger.info("On irrelevant odds change match id : {} with match time: {}", entity.getEventId(), matchTime);
//    }
//
//    @Override
//    public void onOddsChange(LiveOddsFeed sender, OddsChangeEntity entity) {
//        Long matchTime = ((MatchHeaderEntity)entity.getEventHeader()).getMatchTime();
//        logger.info("On odds change match id : {} with match time: {}", entity.getEventId(), matchTime);
//    }
//
//    @Override
//    public void onEventStatusReceived(LiveOddsFeed sender, EventDataPackage entity) {
//        logger.info("On match status. Received messages count {}", entity.getMessages().size());
//    }
//
//    @Override
//    public void onEventMessagesReceived(LiveOddsFeed sender, EventDataPackage entity) {
//        logger.info("On match messages. Received messages count {}", entity.getMessages().size());
//    }
//
//
//}
