//package example.listeners;
//
//import com.sportradar.sdk.common.enums.FeedEventType;
//import com.sportradar.sdk.feed.common.LiveFeed;
//import com.sportradar.sdk.feed.liveodds.classes.EventDataPackage;
//import com.sportradar.sdk.feed.liveodds.entities.common.*;
//import com.sportradar.sdk.feed.liveodds.entities.outrights.*;
//import com.sportradar.sdk.feed.liveodds.interfaces.outrights.LiveOddsWithOutrightsFeed;
//import com.sportradar.sdk.feed.liveodds.interfaces.outrights.LiveOddsWithOutrightsListener;
//import org.joda.time.DateTime;
//import org.joda.time.Duration;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//
//public class LiveOddsWithOutrightsListenerImpl implements LiveOddsWithOutrightsListener {
//
//    private static final Logger logger = LoggerFactory.getLogger(LiveOddsWithOutrightsListenerImpl.class);
//
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives alive message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link AliveEntity} representing the received alive message.
//     */
//    @Override
//    public void onAliveReceived(LiveOddsWithOutrightsFeed sender, AliveWithOutrightsEntity entity) {
//        logger.info("Alive message received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives bet_cancel message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link OutrightBetCancelEntity} representing the received bet_cancel message.
//     */
//    @Override
//    public void onOutrightBetCancel(LiveOddsWithOutrightsFeed sender, OutrightBetCancelEntity entity) {
//        logger.info("Outright bet cancel received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives bet_clear message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link OutrightBetClearEntity} representing the received bet_clear message.
//     */
//    @Override
//    public void onOutrightBetClear(LiveOddsWithOutrightsFeed sender, OutrightBetClearEntity entity) {
//        logger.info("Outright bet clear received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives bet_start message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link OutrightBetStartEntity} representing the received bet_start message.
//     */
//    @Override
//    public void onOutrightBetStart(LiveOddsWithOutrightsFeed sender, OutrightBetStartEntity entity) {
//        logger.info("Outright bet start received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives bet_stop message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link OutrightBetStopEntity} representing the received bet_stop message.
//     */
//    @Override
//    public void onOutrightBetStop(LiveOddsWithOutrightsFeed sender, OutrightBetStopEntity entity) {
//        logger.info("Outright bet stop received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives odds_changed message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link OutrightOddsChangeEntity} representing the received odds_changed message.
//     */
//    @Override
//    public void onOutrightOddsChange(LiveOddsWithOutrightsFeed sender, OutrightOddsChangeEntity entity) {
//        logger.info("Outright odds change received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it received the requested status of the specified outright.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity the {@link EventDataPackage} instance representing the current status of the specified outright.
//     */
//    @Override
//    public void onOutrightStatusReceived(LiveOddsWithOutrightsFeed sender, EventDataPackage entity) {
//        logger.info("Outright status received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives bet_cancel message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link BetCancelEntity} representing the received bet_cancel message.
//     */
//    @Override
//    public void onBetCancel(LiveOddsWithOutrightsFeed sender, BetCancelEntity entity) {
//        logger.info("Bet cancel received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives bet_cancel_undo message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link BetCancelUndoEntity} representing the received bet_cancel_undo message.
//     */
//    @Override
//    public void onBetCancelUndone(LiveOddsWithOutrightsFeed sender, BetCancelUndoEntity entity) {
//        logger.info("Bet cancel undone received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives bet_clear message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link BetClearEntity} representing the received bet_clear message.
//     */
//    @Override
//    public void onBetClear(LiveOddsWithOutrightsFeed sender, BetClearEntity entity) {
//        logger.info("Bet clear received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives bet_clear_rollback message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link BetClearRollbackEntity} representing the received bet_clear_rollback message.
//     */
//    @Override
//    public void onBetClearRollback(LiveOddsWithOutrightsFeed sender, BetClearRollbackEntity entity) {
//        logger.info("Bet clear rollback received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives bet_start message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link BetStartEntity} representing the received bet_start message.
//     */
//    @Override
//    public void onBetStart(LiveOddsWithOutrightsFeed sender, BetStartEntity entity) {
//        logger.info("Bet start received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives bet_stop message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link BetStopEntity} representing the received bet_stop message.
//     */
//    @Override
//    public void onBetStop(LiveOddsWithOutrightsFeed sender, BetStopEntity entity) {
//        logger.info("Bet stop received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it received all messages for the specified match.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity the {@link EventDataPackage} instance containing all messages for the specified match.
//     */
//    @Override
//    public void onEventMessagesReceived(LiveOddsWithOutrightsFeed sender, EventDataPackage entity) {
//        logger.info("Event message received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it received the requested status of the specified match.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity the {@link EventDataPackage} instance representing the current status of the specified match.
//     */
//    @Override
//    public void onEventStatusReceived(LiveOddsWithOutrightsFeed sender, EventDataPackage entity) {
//        logger.info("Event status received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives irrelevant_odds_changed message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link OddsChangeEntity} representing the received odds_changed message.
//     */
//    @Override
//    public void onIrrelevantOddsChange(LiveOddsWithOutrightsFeed sender, IrrelevantOddsChangeEntity entity) {
//        logger.info("Irrelevant odds change received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives meta_info message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link MetaInfoEntity} representing the received meta_info message.
//     */
//    @Override
//    public void onMetaInfoReceived(LiveOddsWithOutrightsFeed sender, MetaInfoEntity entity) {
//        logger.info("Meta info received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed {@link LiveOddsWithOutrightsFeed} implementation when it receives odds_changed message from live-odds server.
//     *
//     * @param sender The {@link LiveOddsWithOutrightsFeed} sender of the event.
//     * @param entity The {@link OddsChangeEntity} representing the received odds_changed message.
//     */
//    @Override
//    public void onOddsChange(LiveOddsWithOutrightsFeed sender, OddsChangeEntity entity) {
//        logger.info("Odds change received: {}", entity);
//    }
//
//    /**
//     * Invoked by the observed live feed when the feed is closed.
//     *
//     * @param sender - originating feed
//     */
//    @Override
//    public void onClosed(LiveOddsWithOutrightsFeed sender) {
//        logger.info("LiveOddsWithOutrights closed");
//    }
//
//    /**
//     * Invoked by the observed live feed when it encounters an special event related to the behavior of the server.
//     *
//     * @param sender    The {@link LiveFeed} instance which received the entity.
//     * @param eventType The {@link FeedEventType} member specifying the type of the occurred event.
//     */
//    @Override
//    public void onFeedEvent(LiveOddsWithOutrightsFeed sender, FeedEventType eventType) {
//        logger.info("Feed event received: {}", eventType);
//    }
//
//    /**
//     * Invoked by the observed live feed when the feed is opened.
//     *
//     * @param sender - originating feed
//     */
//    @Override
//    public void onOpened(LiveOddsWithOutrightsFeed sender) {
//        logger.info("LiveOddsWithOutrights opened");
//    }
//
//    /**
//     * Invoked when the feed is initialized and you can accept bets.
//     * It is invoked exactly once after the feed has been opened.
//     *
//     * @param sender - originating feed
//     */
//    @Override
//    public void onInitialized(LiveOddsWithOutrightsFeed sender) {
//        sender.getOutrightStatus(179498, true);
//        sender.getEventList(
//                DateTime.now().minus(Duration.standardHours(4)),
//                DateTime.now().plus(Duration.standardHours(4)),
//                true);
//    }
//}
